formula.recipe {recipes} | R Documentation

## Create a Formula from a Prepared Recipe

### Description

In case a model formula is required, the formula method can be used on a recipe to show what predictors and outcome(s) could be used.

### Usage

    ## S3 method for class 'recipe'
    formula(x, ...)

### Arguments

`x` | A recipe object where all steps have been prepared.
`...` | Note currently used.

### Value

A formula.

### Examples

    formula(recipe(Species + Sepal.Length ~ ., data = iris))

    iris_rec <- recipe(Species ~ ., data = iris) %>%
      step_center(all_numeric()) %>%
      prep(training = iris)
    formula(iris_rec)

[Package recipes version 0.1.5 Index]